<template>
  <ProFormCol>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申报批次号:" prop="applyNo">
        <ProFormText placeholder="请输入申报批次号" v-model.trim="form.categoryName" />
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申请奖励金月份:" prop="applyDate">
        <ProFormDatePicker
          v-model="form.categoryName"
          format="YYYY-MM"
          placeholder="请选择月份"
          type="month"
        />
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申报园区:" prop="applyParkId">
        <ProFormSelect
          v-model="form.categoryName"
          :valueEnum="[]"
          enumLabelKey="name"
          enum-value-key="userId"
          placeholder="请选择申报园区"
        >
        </ProFormSelect>
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="园区类型:">
        <ProFormSelect
          v-model="form.categoryName"
          :valueEnum="parkTypeList"
          enumLabelKey="name"
          enum-value-key="id"
        >
        </ProFormSelect>
      </ProFormItemV2>
    </ProFormColItem>
  </ProFormCol>
</template>

<script setup lang="ts">
import {
  ProFormItemV2,
  ProFormCol,
  ProFormColItem,
  ProFormText,
  ProFormDatePicker,
  ProFormSelect,
  ProFormMixinsItemContainer,
} from '@bole-core/components';
import { useAllSearchSettingList } from '@/hooks';
import { SearchType } from '@/constants';

defineOptions({
  name: 'BatchInfoView',
});

type Props = {
  form: {
    categoryName: string;
  };
};

const props = withDefaults(defineProps<Props>(), {});

const { allSearchSettingList: parkTypeList } = useAllSearchSettingList({
  searchType: SearchType.Park,
  enabled: true,
  status: true,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
